module.exports = {
	extends: ["plugin:@typescript-eslint/recommended-requiring-type-checking"],

	rules: {
		/* no-explicit-any is enabled and for now this rule is a bit to tedious to
		 * actually help */
		"@typescript-eslint/no-unsafe-member-access": "off",

		/* prefer interface over type = { .. } */
		"@typescript-eslint/consistent-type-definitions": ["error", "interface"],

		/* enforce usage of "type" with export/import */
		"@typescript-eslint/consistent-type-exports": [
			"error",
			{ fixMixedExportsWithInlineTypeSpecifier: true },
		],
		"@typescript-eslint/consistent-type-imports": "error",
	},
};
